<section class="content">
  <div class="container-fluid">
    <div class="block-header">
      <div class="row">
        <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
          <ul class="breadcrumb breadcrumb-style ">
            <li class="breadcrumb-item">
              <h4 class="page-title">Categoria</h4>
            </li>
            <li class="breadcrumb-item bcrumb-1">
              <a routerLink="/admin/dashboard/main">
                <i class="fas fa-home"></i> Home</a>
            </li>
            <li class="breadcrumb-item bcrumb-2">
              <a href="#" onClick="return false;">Administrador</a>
            </li>
            <li class="breadcrumb-item active">Agregar Categoria</li>
          </ul>
        </div>
      </div>
    </div>
    <div class="row clearfix">
      <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12">
        <div class="card">
          <div class="header">
            <h2><strong>Nueva Categoria</strong></h2>

          </div>
          <div class="body">
            <form class="m-4" #FormGroupDirective [formGroup]="CategoriaForm" (ngSubmit)="onSubmit()">
              <!-- <div class="row">
                <button type="button" mat-mini-fab color="primary" class="mx-2">
                  <i class="material-icons">edit</i>
                </button>
              </div> -->
              <div class="row" style="margin-top: 50px;">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width mb-3" appearance="outline">
                    <mat-label>Categoria</mat-label>
                    <input matInput formControlName="Nombre" required>
                    <mat-error *ngIf="CategoriaForm.get('Nombre').hasError('required')">
                      La categoria es requerida
                    </mat-error>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <mat-form-field class="example-full-width" appearance="outline">
                    <mat-select required formControlName="idClinica">
                      <mat-option *ngFor="let clinica of clinicas" value="{{clinica.idClinicas}}">{{clinica.NombreClinica}}</mat-option>
                    </mat-select>
                      <mat-error *ngIf="CategoriaForm.get('idClinica').hasError('required')">
                        La clinica es requerida
                      </mat-error>
                    <mat-label>
                      Clinica
                    </mat-label>
                  </mat-form-field>
                </div>
              </div>
              <div class="row">
                <div class="col-xl-12 col-lg-12 col-md-12 col-sm-12 mb-3">
                  <button class="mr-3" [disabled]="!CategoriaForm.valid " mat-raised-button color="primary">Guardar</button>
                  <button #reset type="reset" mat-button style="opacity: 0;">Cancelar</button>
                </div>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</section>
